
%define oversion 0.7

Name:		mga3prepo
Version:	2.0
Release:	%mkrel 2
Summary:	A script to search packages in extra repositories
Summary(fr_FR):	Un script pour rechercher des paquets dans les dépôts supplémentaires
License:	GPLv3
Group:		System/Configuration/Packaging
Url:		https://github.com/dglent/mga3prepo
Source0:	http://glenbox.free.fr/%{name}/%{version}/%{name}-%{oversion}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

BuildRequires:	gettext
BuildRequires:	python3-setuptools

Requires:	python3
Requires:	wget
Requires:	gzip
Requires:	xz

%description
A script in Python3 to search package from extra (unofficial or not) 
repositories for Mageia 2.
Launch the script as 'mga3prepo' or with the name of the package 
as an argument.

%description -l fr_FR
Un script en python3 pour rechercher des paquets dans les dépôts 
supplémentaires pour Mageia 2 (non officiels ou pas).
Lancez le script de 'mga3prepo' ou avec le nom du paquet comme argument.

%prep
%setup -q -n %{name}-%{oversion}

%build
%{__python3} i18n.py
%{__python3} setup.py build


%install
%{__python3} ./setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_bindir}

install -D -m 755 %{name} \
	 %{buildroot}%{_bindir}/
	 
chmod +x %{buildroot}%{_bindir}/


### Install translations ###
pushd ./po
for f in *.po
do
		poname=${f:0:2}
		mkdir -p %buildroot%{_datadir}/locale/$poname/LC_MESSAGES
		install -m 644 usr/share/locale/$poname/LC_MESSAGES/%{name}.mo \
		"%{buildroot}%{_datadir}/locale/$poname/LC_MESSAGES/"
done
popd
#############################

%find_lang %{name} --with-html

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%doc README COPYING
%{_bindir}/%{name}
%{python3_sitelib}/%{name}-%{oversion}-py%py3ver.egg-info


%changelog

* Fri May 17 2013 david.david (MLO Team) <david.david> 2.0-2.mga2
+ Revision: 2
- update french translations
- minor changes on script

	+ Thanks to dimitrios author

* Fri May 10 2013 david.david (MLO Team) <david.david> 2.0-1.mga2
+ Build package for Mageia 2 (Core)
+ New version with tarball 0.7 
- adapted script to Mageia 2
- correcting french translations
- correcting "spec" file 
- correcting mga3prepo file:

	add ftp://download.asso-linux-online.fr/download/packages-mlo/Mageia/2/i586/core/
	add ftp://download.asso-linux-online.fr/download/packages-mlo/Mageia/2/i586/nonfree/
	add ftp://download.asso-linux-online.fr/download/packages-mlo/Mageia/2/i586/tainted/
	add http://ftp.blogdrake.net/mageia/mageia2/free/noarch/
	add http://ftp.blogdrake.net/mageia/mageia2/non-free/noarch/

	+ Thanks to dimitrios author

* Fri May 10 2013 dimitrios (MLO Team) <dimitrios> 0.7-1.mga2
- Make searchs faster after downloading once the media
  when searching packages from the main menu.
- Fix some minor bugs (wrongly displayed messages)

* Sat May 04 2013 dimitrios (MLO Team) <dimitrios> 0.6-1.mga2
+ New version: 0.6
- add french translations
- add french language in %%description and %%Summary
- change license to GPLv3

